Groovy Documentation

## org.codehaus.groovy.grails.test.report.junit
[Java] Class XMLFormatter

    java.lang.Object
      org.apache.tools.ant.taskdefs.optional.junit.XMLJUnitResultFormatter
          org.codehaus.groovy.grails.test.report.junit.XMLFormatter

    public class XMLFormatter
    extends XMLJUnitResultFormatter

Sanitises the stack traces generated by tests.

Constructor Summary
`XMLFormatter(java.io.File file)`

Method Summary
`void` | `addError(Test test, java.lang.Throwable throwable)`
`void` | `addFailure(Test test, java.lang.Throwable throwable)`
`void` | `setOutput(java.io.OutputStream out)`

Constructor Detail

### XMLFormatter

    public XMLFormatter(java.io.File file)

Method Detail

### addError

    @Override
    public void addError(Test test, java.lang.Throwable throwable)

### addFailure

    @Override
    public void addFailure(Test test, java.lang.Throwable throwable)

### setOutput

    @Override
    public void setOutput(java.io.OutputStream out)

Groovy Documentation